Status: Closed Priority: -- undefined --
Author: Hari K T Category: Persistence
Created: 2011-08-27 Assigned To: Christian Müller
Updated: 2011-11-07 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Uncaught Exception in FLOW3 SQLSTATE[HY000]: General error: 1005 Can't create table 

'phoenix.#sql-3dc_28' (errno: 150)
Description

Hi ,

I was trying the Blog Tutorial . As I was not having the cheat sheet , at some point I downloaded the Blog Package from the git .

I did a migration and it throws the below errors . Is it a bug ?

hari@hari-Vostro1510:/media/Linux/flow3$ ./flow3 doctrine:migrate

Uncaught Exception in FLOW3 SQLSTATE[HY000]: General error: 1005 Can't create table 'phoenix.#sql-3dc_28' (errno: 150)
thrown in file Packages/Framework/Doctrine/Classes/DBAL/Connection.php
in line 618

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
   /media/Linux/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:60

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

hari@hari-Vostro1510:/media/Linux/flow3$ 

History
#1 - 2011-08-29 21:39 - Karsten Dambekalns
- Category changed from - Error Handler Report - to Persistence

#2 - 2011-09-06 10:58 - Andreas Förthner

If I remember correctly, this error occures whith wrong relations, i.e. if wrong foreign keys are about to be created...

#3 - 2011-10-13 15:47 - Christian Müller

Indeed there was a fix recently, could you try if you can reproduce the error with current master? Because I guess not then we could close the ticket.

#4 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
#5 - 2011-11-07 21:55 - Karsten Dambekalns
- Status changed from New to Closed
- Has patch set to No

This hints at some something being wrong with either the database or the migration. Hard to tell, but I'll close this, as the migrations in FLOW3 and
Blog work in general...
